tpm2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
are available. In case, when these devices are not available test
fails, but expected behaviour is skipped test.
Signed-off-by: Nikita Sobolev <[email protected]>
---
Changes for v2:
- Coding Style cleanup
tools/testing/selftests/tpm2/test_smoke.sh | 5 +++++
tools/testing/selftests/tpm2/test_space.sh | 5 +++++
2 files changed, 10 insertions(+)
diff --git a/tools/testing/selftests/tpm2/test_smoke.sh b/tools/testing/selftests/tpm2/test_smoke.sh
index 8155c2ea7ccb..663062701d5a 100755
--- a/tools/testing/selftests/tpm2/test_smoke.sh
+++ b/tools/testing/selftests/tpm2/test_smoke.sh
@@ -1,6 +1,11 @@
#!/bin/bash
# SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -f /dev/tpm0 ] || exit $ksft_skip
+
python -m unittest -v tpm2_tests.SmokeTest
python -m unittest -v tpm2_tests.AsyncTest
diff --git a/tools/testing/selftests/tpm2/test_space.sh b/tools/testing/selftests/tpm2/test_space.sh
index a6f5e346635e..36c9d030a1c6 100755
--- a/tools/testing/selftests/tpm2/test_space.sh
+++ b/tools/testing/selftests/tpm2/test_space.sh
@@ -1,4 +1,9 @@
#!/bin/bash
# SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause)
+# Kselftest framework requirement - SKIP code is 4.
+ksft_skip=4
+
+[ -f /dev/tpmrm0 ] || exit $ksft_skip
+
python -m unittest -v tpm2_tests.SpaceTest
--
2.16.2
Hi Nikita,
> tpm2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
> are available. In case, when these devices are not available test
> fails, but expected behaviour is skipped test.
> Signed-off-by: Nikita Sobolev <[email protected]>
Reviewed-by: Petr Vorel <[email protected]>
Thanks for v2, but I see v1 already merged in next tree since February.
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/?h=next-20200518&id=b32694cd0724d4ceca2c62cc7c3d3a8d1ffa11fc
Kind regards,
Petr
> tpm2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
> are available. In case, when these devices are not available test
> fails, but expected behaviour is skipped test.
> Signed-off-by: Nikita Sobolev <[email protected]>
OK, I see it was also reverted by Jarkko
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/?h=next-20200518&id=aaa2d92efe1f972567f1691b423ab8dc606ab3a9
I wonder if only wrong shell syntax (self.flags = flags) is a problem.
Kind regards,
Petr
On Tue, May 19, 2020 at 03:07:43PM +0300, Nikita Sobolev wrote:
> tpm2 tests set uses /dev/tpm0 and /dev/tpmrm0 without check if they
> are available. In case, when these devices are not available test
> fails, but expected behaviour is skipped test.
>
> Signed-off-by: Nikita Sobolev <[email protected]>
See
https://lore.kernel.org/linux-kselftest/[email protected]/T/#mf762512a67f0b23db5663d6d67746cb94b812931
The comments about the fixes tag and acronym spelling were not
addressed. The code change looks great tho now, thanks.
/Jarkko